import 'package:app/pages/consts.dart';
import 'package:flutter/material.dart';
import 'package:syncfusion_flutter_maps/maps.dart';
import 'package:flutter/services.dart';

/// A class containing thickness for each subdivision of the map.
class IceThicknessModel {
  IceThicknessModel(this.subDivID, this.thickness);

  final int subDivID;
  final double thickness;
}

/// A stateful widget which contains a choropleth map.
/// The map data is fetched from the server, and the map is rendered
/// using the Syncfusion Flutter Maps library.
class ChoroplethMap extends StatefulWidget {
  const ChoroplethMap({Key? key,}) : super(key: key);

  @override
  _ChoroplethMapState createState() => _ChoroplethMapState();
}

class _ChoroplethMapState extends State<ChoroplethMap> {
  late MapShapeSource mapShapeSource;
  List<IceThicknessModel> iceThicknessList = <IceThicknessModel>[];

  @override
  Widget build(BuildContext context) {
    return const SfMaps(
        layers: [
          MapShapeLayer(
            source: MapShapeSource.asset(
              'assets/australia.json',
              shapeDataField: 'STATE_NAME',
            ),
            color: Colors.orange,
          ),
        ],
      );
  }
}
